Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/xdesktop: new aport

From: Camille Scholtz <onodera_at_openmailbox.org>
Date: Fri, 15 Apr 2016 19:20:03 +0200

https://github.com/onodera-punpun/xdesktop
outputs and changes X virtual desktop
---
 testing/xdesktop/APKBUILD | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 testing/xdesktop/APKBUILD
diff --git a/testing/xdesktop/APKBUILD b/testing/xdesktop/APKBUILD
new file mode 100644
index 0000000..45e6757
--- /dev/null
+++ b/testing/xdesktop/APKBUILD
_at_@ -0,0 +1,30 @@
+# Contributor: Camille Scholtz <onodera_at_openmailbox.org>
+# Maintainer: Camille Scholtz <onodera_at_openmailbox.org>
+pkgname=xdesktop
+pkgver=0.3
+pkgrel=0
+pkgdesc="output and change X virtual desktop"
+url="https://github.com/onodera-punpun/xdesktop"
+arch="all"
+license="unlicense"
+depends=""
+depends_dev="xcb-util-wm-dev"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="saveas-https://github.com/onodera-punpun/$pkgname/archive/$pkgver.tar.gz/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$builddir"
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make PREFIX=/usr DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="fbc59a158d93dcee518bd6298a2c3530  xdesktop-0.3.tar.gz"
+sha256sums="b2c9cd6aaae3b13c4fd8f61799b12454387be838df9078db6faf14dbfaef01ca  xdesktop-0.3.tar.gz"
+sha512sums="125d880c0d2af5c847b74caf5fc51f32d597dc00f25dc334fa5a2664438b248da5989d3f4df2bbd7c5998511cdcf2144625ebc0653ad481dd88378551a7ae529  xdesktop-0.3.tar.gz"
-- 
2.8.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Apr 15 2016 - 19:20:03 GMT